CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::plugin::signature_error Class Reference

`#include <cppcms/plugin.h>`

Inheritance diagram for cppcms::plugin::signature_error:

## Public Member Functions
| signature_error (std::string const &msg)
virtual char const * | what () const throw ()
Public Member Functions inherited from booster::backtrace
| backtrace (size_t frames_no=default_stack_size)
size_t | stack_size () const
void * | return_address (unsigned frame_no) const
void | trace_line (unsigned frame_no, std::ostream &out) const
std::string | trace_line (unsigned frame_no) const
std::string | trace () const
void | trace (std::ostream &out) const

## Additional Inherited Members
Static Public Attributes inherited from booster::backtrace
static size_t const | default_stack_size = 32

## Detailed Description

An exception that is thrown in case of actual function signature is not matching the requested one

New in CppCMS 1.2

The documentation for this class was generated from the following file:

- cppcms/plugin.h